> For the complete documentation index, see [llms.txt](https://docs.risewallet.io/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/signing-transactions.md).

# Signing Transactions

Once an application is connected to the Rise Wallet via connect method, an app can create a signed transaction using `window.rise.signTransaction()`and it will return a Promise that resolves when the request is successful and reject (throw when awaited) when the request fails.&#x20;

Below is an example code describing the way to sign a transaction.

```javascript
const payload = {
      type: 'entry_function_payload',
      function: '0x1::coin::transfer',
      type_arguments: ['0x1::aptos_coin::AptosCoin'],
      arguments: ['0x0f024fc664bfe474fd0cfe547ddea5a99b46868c2c331e9e29319b117fdb1b6a', 123123]
    };
const signedTransaction = await window.rise.signTransaction(payload);
console.log(signedTransaction)
// {
//  publicKey: "0x71c87ca87e89dd7d02d224465cc40a1aafb10a76a91a0857ddac29fe0c3cdf23",
//  signature: Uint8Array(318) ...
// }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/signing-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
